import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * フレームクラス.
 */
public class KFramePZL extends JFrame implements KConstant {

	/**
	 * コントロールクラス.
	 */
	KCtrlPZL	kCtrl		= null;

	/**
	 * パネルクラス.
	 */
	KPanel		kPanel		= null;

	/**
	 * 実行.
	 * <pre>
	 * 当メソッドから、はじまります。
	 * </pre>
	 */
	public static void main(String[] args){

		// フレームを生成
		KFramePZL test = new KFramePZL();

	} // end main

	/**
	 * コンストラクタ.
	 * <pre>
	 * </pre>
	 */
	public KFramePZL(){

		super();

		// レイアウト設定
		super.setLayout(new BorderLayout());

		// ウインドウリスナー追加
		super.addWindowListener(new KFrameWindowAdapter());

		// イメージクラスに自分を渡す
		KImage.setContainer(this);

		// コントロールクラス生成
		kCtrl = new KCtrlPZL(this);

		// パネル取得
		kPanel = kCtrl.getKPanel();

		// タイトル設定
		super.setTitle("PZL");

		// パネルを設定
		super.setContentPane(kPanel);

		// 表示する
		super.setVisible(true);

		// フォーカスを取得
		super.requestFocus();

		// フレームサイズの設定
		super.pack();

		// コントロールクラスを開始
		kCtrl.start();

	} // end KFramePZL

	/**
	 * Windowクラス.
	 */
	private class KFrameWindowAdapter extends WindowAdapter {

		/**
		 * ウインドウが閉じる時に呼ばれるイベントです.
		 */
		public void windowClosing(WindowEvent we){
			System.exit(0);
		}

	} // end KFrameWindowAdapter

}
